<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 version 0.2 (Ruud Eisinga - RuudE)
 - Added finding images in the picture folder. Skipping cached files

 version 0.3 (Ruud Eisinga - RuudE)
 - added resizing thumbnails
 - added HighSlide popup
 - added Parameter for height of reflection
 - added parameter for Background colour to fade into, default = #000000
 - added parameter to force jpeg output including quality setting
 - using the modified ImageFLow script found here: http://194.95.111.244/~countzero/scripts/_myImageFlowHighSlide/
    
 version 0.31 (Ruud Eisinga - RuudE)
 - bugfix. Backcolor parameter was not set correctly
 - Added DE language file
 version 0.32 (Ruud Eisinga - RuudE)
 - Added an extra div around the Imageflow. Corrects some positioning problems
 
 version 0.4 (Ruud Eisinga)
 - added extra positioning div, including resize possibilities.
  (This seems to fix all positioning problems. (also in tables))
 - added option to disable filename caption and/or slider
 - added option to select Highslide border style.
 - fixed problem with filenames with whitespace or special characters
 - fixed positioning of the slider
 - added option to NOT cache thumbnails
 
 version 0.5 (Ruud Eisinga / Aldus)
 - Many cosmetic / code / debugging improvements (thnx to Aldus)
 - Added Lightbox script.
 - Added choice for Highslide / Lighbox2 / None(original) popups

 version 0.6 (Ruud Eisinga)
 - Added Gallery title/description
 - Fixed bug in getting filenames.
 - Stripped extention from image filenames displayed. (use filename as image description)
 
 version 0.6.1  (Aldus)
 - Modifications in admin settings.

 version 0.7 (Ruud Eisinga / Aldus)
 - added the possibility for a description file.
   put a file named "gallery_info.txt" in the same directory as the images.
   On a single line, start fith the imagename (without extention), followed by a "|" (pipe) and the description you want to show.
   example: myimage | This is the description of my image.

 version 0.7.1 (Vyni, Aldus, Ruud)
 - Changed backend layout.
 - Changed Save/Clear/Cancel to Save&Clear/Save/Cancel
 - Minor bugfixes in the backend and Language files
 
 version 0.7.2 (Vyni, Aldus)
 - possibility for changing imageflow.css through back-end CSS editor (> WB 2.7 only)
 - minor changes and optimations in modify.php
 - add a "noscript"-tag in "view.php"
 - add $MOD_IMAGEFLOW['NO_JAVASCRIPT'] text inside the language-files 

 version 0.7.3 (Vyni, Aldus, Ruud)
 - cosmetic changes to the backend
 - added colorpicker for the background color selection fields (switch off by setting "$use_colorpicker=false" in modify.php 
 - upgrade.php no longer drops/creates database tables. Allows upgrading without losing configuration.
 - fixed small javascript errormessage in color selection when adding blank or invalid color

version 0.7.4 (Ruud)
- fixed short tags bug
  
 version 0.7.5 (Ruud)
- fixed a few Notices for undefined variables.
- fixed "filenames with whitespaces problem". Filenames with whitespace or accent characters should work ok now.
- updated slider image so it will show on white backgrounds
- fixed short tags bug (found some more)
  
  version 0.7.6
 -  fixed a small bug in the css edit page. (found by EngelDeLux)
  
    License ImageFlow: Public Domain
    	http://194.95.111.244/~countzero/scripts/_myImageFlow/
	
	Licence HighSlide: Highslide JS is licensed under a Creative Commons Attribution-NonCommercial 2.5 License. 
		This means you need the author's permission to use Highslide JS on commercial websites. 
		http://vikjavev.no/highslide/
		
	License Lightbox: licensed under the Creative Commons Attribution 2.5 License. A donation would be nice, hint hint.
	    As for proper attribution, all that is required is that you leave my name and link atop the lightbox javascript file. 
	    I do appreciate an html link, but it is not required. 
	    http://www.lokeshdhakar.com/projects/lightbox2/
	    
*/

$module_directory = 'imageflow';
$module_name = 'ImageFlow';
$module_function = 'page';
$module_version = '0.76';
$module_platform = '2.7.x';
$module_author = 'Matthias Gallas, Ruud Eisinga, Dietrich Roland Pehlke (aldus), Vyni';
$module_license = 'GNU General Public License';
$module_description = 'This module allows you to create a image Gallery based on ImageFlow 0.9 from Finn Rudolph using HighSlide or Lightbox2 popups.';

?>