<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

//Modul Description
$module_description						= 'Mit diesem Modul k&ouml;nnen Sie eine Bildershow erstellen auf Basis ImageFlow 0.9 von Finn Rudolph oder Lightbox. Highslide ist nur auf rein privaten Seiten lizenzfrei.';

//Variables for the Frontend
$MOD_IMAGEFLOW['LOADING_IMAGES']		= 'Bilder werden geladen ...';

//Variables for the Backend
$MOD_IMAGEFLOW['MAIN_SETTINGS']			= 'Imageflow Einstellungen';
$MOD_IMAGEFLOW['GALLERY_TITLE']			= 'Titel der Galerie';
$MOD_IMAGEFLOW['GALLERY_DESCRIPTION']	= 'Beschreibung/Untertitel';
$MOD_IMAGEFLOW['NO_IMAGES_FOUND']		= 'Keine Bilder gefunden.';
$MOD_IMAGEFLOW['PICDIR']				= 'Bilderordner (in /media )';
$MOD_IMAGEFLOW['REFLECTION_HEIGHT']		= 'H&ouml;he der Reflektion in Pixel oder %';
$MOD_IMAGEFLOW['REFLECTION_HEIGHT_NOTE'] = '(Beispiel: 150 oder 50%)';
$MOD_IMAGEFLOW['THUMB_HEIGHT']			= 'H&ouml;he der gespeicherten Vorschaubilder in Pixel.<br><font color="#888888"><i>Je h&ouml;her diese Zahl, umso gr&ouml;sser die Datei <br>und umso l&auml;nger die Ladezeit.</i></font>';
$MOD_IMAGEFLOW['THUMB_HEIGHT_NOTE']		= 'Beachten Sie: Die Darstellung der Vorschaubilder (H&ouml;he) wird von der Breite der Anzeige automatisch bestimmt!';
$MOD_IMAGEFLOW['THUMB_QUALITY']			= 'JPEG Qualit&auml;t f&uuml;r die Vorschau-Bilder<br />(Beispiel: 70)';
$MOD_IMAGEFLOW['BACK_COLOR']			= 'Hintergrundfarbe f&uuml;r den Verlauf,<br><font color="#888888"><i>Voreinstellung = 000000</i><f/ont>';
$MOD_IMAGEFLOW['CLEAR_CACHE']			= 'L&ouml;schen des Caches';
$MOD_IMAGEFLOW['SHOW_CAPTION']			= 'Dateinamen anzeigen';
$MOD_IMAGEFLOW['SHOW_SLIDER']			= 'Schieber anzeigen';
$MOD_IMAGEFLOW['USE_CACHE']				= 'Vorschaubilder speichern (empfohlen)';
$MOD_IMAGEFLOW['DIV_COLOR']				= 'Hintergrundfarbe der Anzeige';
$MOD_IMAGEFLOW['DIV_HEIGHT']			= 'H&ouml;he der Anzeige';
$MOD_IMAGEFLOW['DIV_WIDTH']				= 'Breite der Anzeige';
$MOD_IMAGEFLOW['HIGH_BORDER']			= 'Highslide - Stil';
$MOD_IMAGEFLOW['USE_HIGHSLIDE']			= 'Highslide verwenden';
$MOD_IMAGEFLOW['USE_HIGHSLIDE_NOTE']	= 'Highslide JS ist lizenziert unter Creative Commons Attribution-NonCommercial 2.5 License. Das bedeutet Sie m&uuml;ssen eine Lizenz erwerben, wenn Sie das script auf einer kommerziellen Seite einsetzen. N&auml;heres hier <a href="http://vikjavev.no/highslide/" target="_blank">vikjavev.no/highslide/</a>';
$MOD_IMAGEFLOW['USE_LIGHTBOX']			= 'Lightbox verwenden';
$MOD_IMAGEFLOW['USE_LIGHTBOX_NOTE']		= 'Funktioniert nicht bei aktiviertem Highslide!';
$MOD_IMAGEFLOW['NO_JAVASCRIPT']			= "Bitte aktivieren sie JavaScript zum Betrachten der Gallerie.";

$CAP_EDIT_CSS = 'bearbeite CSS';
$CAP_TOGGLE_CSS = 'umschalten zu ';
$HEADING_CSS_FILE = 'Derzeit bearbeiten Sie: ';
$TXT_EDIT_CSS_FILE = 'Bearbeiten Sie die CSS-Definitionen im folgenden Textfeld.';

$MOD_IMAGEFLOW['MANUALS'] = Array (
	Array (
		'link'		=> "http://forum.websitebaker2.org/index.php/topic,10460.0.html",
		'display'	=> "Latest Version",
		'title'		=> "Websitebaker Forum :: imageflow-threat"
	),
	Array (
		'link'		=> "http://edv.spoka.at/pages/imageflow.php",
		'display'	=> "Manual (EN)",
		'title'		=> "Manual and some more informations incl. a little HowTo."
	),
	Array (
		'link'		=> "http://edv.spoka.at/pages/imageflow.php",
		'display'	=> "Manual (DE)",
		'title'		=> "Deutschsprachige Anleitung und ein kleines HowToDo"
	)
);

?>