<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

//Modul Description
$module_description = 'This module allows you to create a image Gallery based on ImageFlow 0.9 from Finn Rudolph using HighSlide or Lightbox2 popups.';

//Variables for the Frontend
$MOD_IMAGEFLOW['LOADING_IMAGES'] = 'Loading images';

//Variables for the Backend
$MOD_IMAGEFLOW['MAIN_SETTINGS']			= 'Imageflow Settings';
$MOD_IMAGEFLOW['GALLERY_TITLE']			= 'Title of the gallery';
$MOD_IMAGEFLOW['GALLERY_DESCRIPTION']	= 'Description / Subtitle';
$MOD_IMAGEFLOW['NO_IMAGES_FOUND']		= 'No images found.';
$MOD_IMAGEFLOW['PICDIR']				= 'Images path (in /media folder)';
$MOD_IMAGEFLOW['REFLECTION_HEIGHT']		= 'Height for the reflection in pixels or %';
$MOD_IMAGEFLOW['REFLECTION_HEIGHT_NOTE'] = '(use 150 or 50%)';
$MOD_IMAGEFLOW['THUMB_HEIGHT']			= 'Height for the thumbnails (in px)';
$MOD_IMAGEFLOW['THUMB_HEIGHT_NOTE']		= 'Note that the output is scaled to the &lt;div&gt; width!';
$MOD_IMAGEFLOW['THUMB_QUALITY']			= 'Jpeg Quality for the thumbnails (ie 80)';
$MOD_IMAGEFLOW['SHOW_CAPTION']			= 'Show the name of the image';
$MOD_IMAGEFLOW['SHOW_SLIDER']			= 'Show the slider';
$MOD_IMAGEFLOW['BACK_COLOR']			= 'Background colour to fade into';
$MOD_IMAGEFLOW['CLEAR_CACHE']			= 'Clear the cache files';
$MOD_IMAGEFLOW['USE_CACHE']				= 'Store reflection images in cache (recomended)';
$MOD_IMAGEFLOW['DIV_COLOR']				= 'Background colour of the outher &lt;div&gt;';
$MOD_IMAGEFLOW['DIV_HEIGHT']			= 'Height of the outher &lt;div&gt;';
$MOD_IMAGEFLOW['DIV_WIDTH']				= 'Width of the outher &lt;div&gt;';
$MOD_IMAGEFLOW['HIGH_BORDER']			= 'Highslide border style';
$MOD_IMAGEFLOW['CURRENT_BORDER']		= '[Current] - ';
$MOD_IMAGEFLOW['USE_HIGHSLIDE']			= 'Use Highslide popups';
$MOD_IMAGEFLOW['USE_HIGHSLIDE_NOTE']	= 'Highslide JS is licensed under a Creative Commons Attribution-NonCommercial 2.5 License. This means you need the authors permission to use Highslide JS on commercial websites. <a href="http://vikjavev.no/highslide/" target="_blank">vikjavev.no/highslide/</a>';
$MOD_IMAGEFLOW['USE_LIGHTBOX']			= 'Use Lightbox popups';
$MOD_IMAGEFLOW['USE_LIGHTBOX_NOTE']		= 'Will not work when Highslide popups are enabled!';
$MOD_IMAGEFLOW['NO_JAVASCRIPT']			= 'Please activate JavaScript for the gallery!';

$MOD_IMAGEFLOW['MANUALS'] = Array (
	Array (
		'link'		=> "http://forum.websitebaker2.org/index.php/topic,10460.0.html",
		'display'	=> "Latest Version",
		'title'		=> "Websitebaker Forum :: imageflow-threat"
	),
	Array (
		'link'		=> "http://edv.spoka.at/pages/imageflow.php",
		'display'	=> "Manual (DE)",
		'title'		=> "Deutschsprachige Anleitung und ein kleines HowTo"
	),

	Array (
		'link'		=> "http://edv.spoka.at/pages/imageflow.php",
		'display'	=> "Manual (EN)",
		'title'		=> "Manual and some more informations incl. a little HowTo."
	)
);
?>