<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

require('../../config.php');
require(WB_PATH.'/modules/admin.php');

/**
*	Tells script to update when this page was last updated
*/
$update_when_modified = true; 

/**
*	Get the image-directory
*/
$picdir = (isset($_POST['picdir'])) ? addslashes($_POST['picdir']) : "";

if ($admin->get_post('save_clear')) {
	if ($picdir) {
		$list = glob(WB_PATH.MEDIA_DIRECTORY.$picdir.'/refl_*');
		if ($list) foreach ($list as $file_name) if (strrchr($file_name,'.')!='.') unlink($file_name);
		$admin->print_success("Cached files removed.", ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
	}
}

/**
*	Write to database	
*/

$query = "UPDATE ".TABLE_PREFIX."mod_imageflow_settings SET "
	."picdir 				= '".$picdir."'"
	.", gallery_title		= '".addslashes($admin->get_post('gallery_title'))."'"
	.", gallery_description	= '".addslashes($admin->get_post('gallery_description'))."'"
	.", reflection_height	= '".$admin->get_post('reflection_height')."'"
	.", reflection_fade		= '".$admin->get_post('reflection_fade')."'"
	.", thumbnail_height	= '".$admin->get_post('thumbnail_height')."'"
	.", thumbnail_quality	= '".$admin->get_post('thumbnail_quality')."'"
	.", show_caption		= '".($admin->get_post('show_caption') ? 1: NULL)."'"
	.", show_slider			= '".($admin->get_post('show_slider') ? 1: NULL)."'"
	.", high_border			= '".$admin->get_post('high_border')."'"
	.", div_width			= '".$admin->get_post('div_width') ."'"
	.", div_height			= '".$admin->get_post('div_height')."'"
	.", use_cache			= '".($admin->get_post('use_cache') ? 1: Null)."'"
	.", use_highslide		= '".($admin->get_post('use_highslide') ? 1: Null)."'"
	.", use_lightbox		= '".($admin->get_post('use_lightbox') ? 1: Null)."'"
	.", back_color			= '".$bc = $admin->get_post('back_color')."'";
$query .=  " WHERE section_id = '$section_id'";

$database->query($query);

/**
*	Check if there is a database error, otherwise say successful
*/
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

/**
*	Print admin footer
*/
$admin->print_footer();

?>